Package org.apache.nutch.protocol.httpclient

# Class DummyX509TrustManager

java.lang.Object
org.apache.nutch.protocol.httpclient.DummyX509TrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

public class DummyX509TrustManager extends Object implements X509TrustManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DummyX509TrustManager(KeyStore keystore)`
  Constructor for DummyX509TrustManager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkClientTrusted(X509Certificate[] arg0, String arg1)`
  `void`
  `checkServerTrusted(X509Certificate[] arg0, String arg1)`
  `X509Certificate[]`
  `getAcceptedIssuers()`
  `boolean`
  `isClientTrusted(X509Certificate[] certificates)`
  `boolean`
  `isServerTrusted(X509Certificate[] certificates)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DummyX509TrustManager

    public DummyX509TrustManager(KeyStore keystore) throws NoSuchAlgorithmException, KeyStoreException
    Constructor for DummyX509TrustManager.
    Parameters:
      `keystore` - a initialized `KeyStore`
    Throws:
      `NoSuchAlgorithmException` - if there is a fatal error obtaining a `TrustManagerFactory` for the default algorithm.
      `KeyStoreException` - if there is a fatal error initializing the `TrustManagerFactory` with the provided keystore.
    See Also:
      - `TrustManagerFactory.getDefaultAlgorithm()`

- ## Method Details

  - ### isClientTrusted

    public boolean isClientTrusted(X509Certificate[] certificates)
    Parameters:
      `certificates` - a `X509Certificate` array
    Returns:
      true if trusted, false otherwise
    See Also:
      - `X509TrustManager.checkClientTrusted(X509Certificate[], String)`

  - ### isServerTrusted

    public boolean isServerTrusted(X509Certificate[] certificates)
    Parameters:
      `certificates` - a `X509Certificate` array
    Returns:
      true if trusted, false otherwise
    See Also:
      - `X509TrustManager.checkServerTrusted(X509Certificate[], String)`

  - ### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()
    Specified by:
      `getAcceptedIssuers` in interface `X509TrustManager`
    Returns:
      a `X509Certificate` array
    See Also:
      - `X509TrustManager.getAcceptedIssuers()`

  - ### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] arg0, String arg1) throws CertificateException
    Specified by:
      `checkClientTrusted` in interface `X509TrustManager`
    Throws:
      `CertificateException`

  - ### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] arg0, String arg1) throws CertificateException
    Specified by:
      `checkServerTrusted` in interface `X509TrustManager`
    Throws:
      `CertificateException`